// Kyle VanDaele
// block.h

#ifndef _BLOCK_H
#define _BLOCK_H
#define WIN32_LEAN_AND_MEAN

#include "entity.h"
#include "constants.h"

namespace blockNS
{
	const int	WIDTH = 80;			// image width
	const int	HEIGHT = 48;		// image height
	const int	X = WIDTH * 5;		// location on screen
	const int	Y = HEIGHT * 8;		// left of center
	const float	MASS = 1.0e14f;		// mass
	const int	TEXTURE_COLS = 2;	// texture has 2 columns
	const int	START_FRAME = 0;	// starts at frame 0
	const int	END_FRAME = 3;		// last frame is 1
	const float	ANIMATION_DELAY = 0.01f;	//time between frames
}

class Block : public Entity			// inherits from Entity class
{
public:
	// constructor
	Block();
	void setXY(int xloc, int yloc);
};

#endif